> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# saleguidestage

> MDO provider for the stage list, customized for the sale guide stage button row

## "saleguidestage" MDO List

MDO provider for the stage list, customized for the sale guide stage button row

AdditionalInfo is a name/value string, and can be either sale\_id=\<id> or saletype\_id=\<id>. If sale\_id is given,
then you get back all the stages valid for this sale, with stylehint currentStage for the current one; if saletype\_id is given,
you get back all stages valid for this sale type, but (obviously) with no current indication.

<br />

If no additionalInfo is given, all stages are returned. The 'special' stages Open, Lost and Sold are <b>not</b> included in this
provider; use the SaleStage provider for those.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SaleGuideStage">SaleGuideStage</see> class.
The name of the MDO list is 'saleguidestage'.

## Additional Attributes

| Description                 | Name         | Example Value |
| --------------------------- | ------------ | ------------- |
| Sale to get stages for      | sale\_id     | 1234          |
| Sale Type to get stages for | saletype\_id | 234           |
| Sale Stage id               | prob\_id     | 234           |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/saleguidestage
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("saleguidestage", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name               | StyleHint | ExtraInfo |
| -- | ------------------ | --------- | --------- |
| 4  | Første møte        |           |           |
| 1  | Sendt tilbud       |           |           |
| 5  | Andre møte         |           |           |
| 2  | Sluttforhandlinger |           |           |
| 3  | Muntlig aksept     |           |           |

## Related MDO Lists

* "saleguidestageheadings"
* "saleguidestageheadingswithallitem"
* "saleguidestageheadingswithallitemwithnoselection"
* "saleguidestageheadingswithnoselection"
* "saleguidestagewithallitem"
* "saleguidestagewithallitemwithnoselection"
* "saleguidestagewithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
